tvbrowser.core.tvdataservice

## Class AbstractTvDataServiceProxy

- java.lang.Object
- - tvbrowser.core.tvdataservice.AbstractTvDataServiceProxy

- All Implemented Interfaces:
    ContextMenuIf, InfoIf, ButtonActionIf, TvDataServiceProxy
  Direct Known Subclasses:
    DefaultTvDataServiceProxy

      public abstract class AbstractTvDataServiceProxy
      extends java.lang.Object
      implements TvDataServiceProxy

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tvbrowser.core.tvdataservice.TvDataServiceProxy

      `TvDataServiceProxy.Comparator`

  - ### Field Summary

    - ### Fields inherited from interface devplugin.ContextMenuIf

      `ACTIONKEY_KEYBOARD_EVENT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractTvDataServiceProxy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Channel[]` | `checkForAvailableChannels(ChannelGroup group, ProgressMonitor monitor)`
    `Channel[]` | `checkForAvailableChannels(ProgressMonitor monitor)` Some TvDataServices may need to connect to the Internet to know their channels.
    `boolean` | `equals(java.lang.Object obj)`
    `Channel[]` | `getAvailableChannels()` Gets the list of the channels that are available for the given channel group.
    `Channel[]` | `getChannelsForTvBrowserStart()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tvbrowser.core.tvdataservice.TvDataServiceProxy

      `checkForAvailableGroups, getAuthenticationPanel, getAvailableChannels, getAvailableGroups, getDataServicePackageName, getId, getInfo, getParentFrame, getSettingsPanel, handleTvBrowserStartFinished, hasSettingsPanel, loadSettings, setParent, setWorkingDirectory, storeSettings, supportsAutoUpdate, supportsDynamicChannelGroups, supportsDynamicChannelList, updateTvData`

    - ### Methods inherited from interface devplugin.ContextMenuIf

      `getContextMenuActions`

    - ### Methods inherited from interface tvbrowser.core.plugin.ButtonActionIf

      `getButtonAction, getButtonActionDescription`

    - ### Methods inherited from interface devplugin.InfoIf

      `getPluginCategory`

- - ### Constructor Detail

    - #### AbstractTvDataServiceProxy

          protected AbstractTvDataServiceProxy()

  - ### Method Detail

    - #### checkForAvailableChannels

          public abstract Channel[] checkForAvailableChannels(ChannelGroup group,
                                            ProgressMonitor monitor)
                                                       throws TvBrowserException

      Specified by:
        `checkForAvailableChannels` in interface `TvDataServiceProxy`
      Throws:
        `TvBrowserException`

    - #### checkForAvailableChannels

          public final Channel[] checkForAvailableChannels(ProgressMonitor monitor)
                                                    throws TvBrowserException

      Description copied from interface: `TvDataServiceProxy`
      Some TvDataServices may need to connect to the Internet to know their channels. If `TvDataServiceProxy.supportsDynamicChannelList()` returns true, this method is called to check for available channels.
      Specified by:
        `checkForAvailableChannels` in interface `TvDataServiceProxy`
      Returns:
        the list of available channels
      Throws:
        `TvBrowserException`

    - #### getChannelsForTvBrowserStart

          public Channel[] getChannelsForTvBrowserStart()

      Specified by:
        `getChannelsForTvBrowserStart` in interface `TvDataServiceProxy`
      Returns:
        The channels that have to be loaded on TVB start.

    - #### getAvailableChannels

          public Channel[] getAvailableChannels()

      Description copied from interface: `TvDataServiceProxy`
      Gets the list of the channels that are available for the given channel group.
      Specified by:
        `getAvailableChannels` in interface `TvDataServiceProxy`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)